<?php
include_once "../header.php";
include_once("../php/config.php");


?>

  <style>
 td{
	 font-size:16px;
 }
 
  th{
	 font-size:18px;
 }
 
   .form-control{
	 font-size:18px;
 }
 </style>
 
<center>
    <span class="text-primary">Nueva venta</span>
	
<br><br>
<button class="btn wsbutton" id="btn-nuevo" onClick="nueva(); $('#btn-nuevo').prop('disabled', true)"> <b><i class="bi bi-cash-coin"></i> Crear nueva venta</b></button>
<button class="btn btn-secondary" onClick="window.location.href='ventas_abiertas.php'"> <b><i class="bi bi-pencil"></i> Cancelar</b></button>



</center>
<?php
include_once "../footer.php";
?>

<script>
nueva()

function nueva(){
	var cotizacion = "<?php echo $_GET['cotizacion']?>";
	var pedido = "<?php echo $_GET['pedido']?>";

    window.location.href="nueva_venta.php?caja="+myCaja+"&usuario="+myUser+"&cotizacion="+cotizacion+"&pedido="+pedido+"&caja="+myCaja;
   }  

///checkVentas()
function checkVentas(){

            var _c = 0;
            var sql="select * from ventas  where estado='Abierta'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
              if(data=="null"){ nueva(); $('#btn-nuevo').prop('disabled', true);}
                    var rs = JSON.parse(data);
                    
                    for( var i in rs.data){
                        
                        _c++;
                        ////document.write(_c+" "+" Factura encontradas<br>");
                      }
                      if(_c>0){
                        ///document.write(i+" "+" Factura encontradas<br>");
                      }else{
                        
                        nueva(); $('#btn-nuevo').prop('disabled', true);
                      }
             })
        }
  


  

</script>